#pragma once

#if SIMULATOR
typedef unsigned int	u32;
typedef unsigned short	u16;
typedef unsigned char	u8;
typedef int				s32;
typedef short			s16;
typedef char			s8;

#else
#include <stdint.h>
typedef uint32_t	u32;
typedef uint16_t	u16;
typedef uint8_t		u8;
typedef int32_t		s32;
typedef int16_t		s16;
typedef int8_t		s8;
#endif